
      if (irun.le.9) then
        i1=irun
        i2=0
        i3=0
      elseif (irun.ge.10.and.irun.le.99) then
        i2=int(irun/10)
        i1=irun-10*i2
        i3=0
      else
        i3=int(irun/100)
        i12=irun-100*i3
        i2=int(i12/10)
        i1=i12-10*i2
      endif  

      ii1=i1+48 
      ii2=i2+48 
      ii3=i3+48 

      firun = achar(ii3)//achar(ii2)//achar(ii1)

